#include "testlib.h"

int main(int argc, char** argv) {
	registerGen(argc, argv, 1);

	int id = atoi(argv[1]);

	for (int sum = 0; ; ++sum) {
		for (int a = 0; a <= sum; ++a) {
			for (int b = a; a + b <= sum; ++b) {
				int c = sum - a - b;
				if (c < b) {
					continue;
				}

				--id;
				if (id == 0) {
					std::vector<int> input{a, b, c};
					shuffle(input.begin(), input.end());
					std::cout << input[0] << ' ' << input[1] << ' ' << input[2] << std::endl;
					return 0;
				}
			}
		}
	}

	return 0;
}
